<script setup lang="ts">
import { TagsInputItem as ShadcnTagsInputItem } from '@/components/core/tags-input';
import { type UiTagsInputItemProps } from './types';

defineOptions({
  name: 'UiTagsInputItem',
});

const props = defineProps<UiTagsInputItemProps>();
</script>

<template>
  <ShadcnTagsInputItem v-bind="props">
    <slot />
  </ShadcnTagsInputItem>
</template>
